# TODOs

This page outlines various projects and tasks that we are currently working on. Creating a GitHub issue for each of these items would be overkill.

* Configure Navi to automatically download and use the best cheat repositories
* Finish TS from 1400 stars
* Python

## Upstream

The following items are things we would like to include into the Install Doctor system but are waiting on upstream changes.

* [Actions](https://github.com/sindresorhus/Actions) adds a wide-variety of actions that you can utilize with the macOS Shortcuts app. It is currently only available via the macOS app store. Requested a Homebrew Cask [here](https://github.com/sindresorhus/Actions/issues/127).
* [Color Picker](https://github.com/sindresorhus/System-Color-Picker) is an improved color picker app available on macOS. It is currently only available via the macOS app store. Requested Homebrew Cask [here](https://github.com/sindresorhus/System-Color-Picker/issues/32).
* Consider integrating [LocalAI](https://github.com/go-skynet/LocalAI) which can be used in combination with mods to generate ChatGPT responses locally
* Wait for Homebrew install option for [Warpgate](https://github.com/warp-tech/warpgate)
* Wait for https://github.com/hocus-dev/hocus to get out of alpha for VM management
* Revisit https://github.com/rome/tools when project matures
* Revisit https://github.com/Disassembler0/Win10-Initial-Setup-Script for initial setup of Windows
* Revisit Resilio - seems like they have tools useful for synchronizing VMs
* Consider switching license to [Polyform License Example](https://github.com/dosyago/DiskerNet/blob/fun/LICENSE.md)
* Look into tile managers
* https://github.com/joelbarmettlerUZH/auto-tinder
* https://github.com/hfreire/get-me-a-date
* Keep eye on fig.io for release to Linux and new AI features
* Monitor https://moonrepo.dev/moon as possible mono-repo manager

## Review

The following links include software that need to be reviewed before including them into the Install Doctor installer.

* https://webinstall.dev/vim-sensible/
* https://webinstall.dev/vim-devicons/
* https://webinstall.dev/vim-nerdtree/
* https://webinstall.dev/vim-gui/
* https://formulae.brew.sh/cask/blender#default
* https://kdenlive.org/en/
* https://www.bluestacks.com/
* https://github.com/symless/synergy-core
* https://symless.com/synergy/features
* https://api.slack.com/automation/cli/commands
* https://github.com/activepieces/activepieces#
* https://github.com/jupyterlab/jupyterlab-desktop
* https://github.com/butlerx/wetty
* https://github.com/graphql-editor/graphql-editor
* https://github.com/graphql/graphql-playground
* https://github.com/amplication/amplication
* https://github.com/openai-translator/openai-translator
* https://github.com/lepoco/wpfui
* https://github.com/ModernFlyouts-Community/ModernFlyouts
* https://github.com/purogamer/Fluent-for-Steam
* https://github.com/files-community/Files
* https://github.com/awaescher/RepoZ
* https://github.com/microsoft/WinUI-Gallery
* https://github.com/sq/JSIL
* https://github.com/dotnet/format
* https://github.com/NuGetPackageExplorer/NuGetPackageExplorer
* https://github.com/Rise-Software/Rise-Media-Player
* https://github.com/actions/runner
* https://github.com/hbons/SparkleShare
* https://github.com/gitextensions/gitextensions
* https://github.com/mRemoteNG/mRemoteNG
* https://github.com/MathewSachin/Captura
* https://github.com/DiscordStyles/Fluent
* https://github.com/Alex4SSB/ADB-Explorer
* https://github.com/carlospolop/PEASS-ng
* https://github.com/Bismuth-Forge/bismuth

## Docker

The following items are Docker containers that we may want to include as default containers deployed in our system.

* https://github.com/erxes/erxes - CRM
* https://github.com/pawelmalak/flame - Homepage
* https://github.com/thelounge/thelounge - IRC
* https://github.com/vector-im/element-web - Matrix
* https://github.com/outline/outline - Collaborative MD
* https://github.com/nocodb/nocodb - MySQL Spreadsheet
* https://github.com/excalidraw/excalidraw - Hand-drawn Diagrams
* https://github.com/ansible/awx - AWX Ansible Management
* https://github.com/mergestat/mergestat - Git SQL Queries
* https://docs.rundeck.com/docs/administration/install/installing-rundeck.html - Rundeck (Self-Service Desk)
* https://easypanel.io/ - App deployments
* https://www.activepieces.com/docs/install/docker

### Kubernetes

The following items may be incorporated into our Kubernetes stack:

* https://github.com/kubevirt/kubevirt
* https://atuin.sh/docs/self-hosting/k8s

## Bare Metal

The projects below are software systems that might be incorporated to handle bare-metal operations or virtual machine management.

* https://theforeman.org/ (VM management)
* https://fogproject.org/ (Backup solution)
* https://github.com/apache/cloudstack (VM management)
* https://www.ovirt.org/ (VM management)
* https://opennebula.io/ (Hybrid-cloud management)
* https://github.com/cloud-hypervisor/cloud-hypervisor (Cloud hypervisor)

## Revisit

The following items have been reviewed but need to be revisited due to complexity or other reasons.

* https://github.com/microsoft/azuredatastudio
* https://github.com/Nutlope/roomGPT
* https://github.com/Zettlr/Zettlr
* https://github.com/AmruthPillai/Reactive-Resume
* https://github.com/kubeflow/kubeflow
* https://github.com/leon-ai/leon
* https://github.com/teambit/bit
* https://github.com/Budibase/budibase
* https://github.com/appsmithorg/appsmith
* https://github.com/refined-github/refined-github
* https://github.com/reworkd/AgentGPT
* https://github.com/appwrite/appwrite
* https://github.com/hoppscotch/hoppscotch
* builder.io
* https://github.com/hocus-dev/hocus
* https://github.com/Kanaries/Rath
* https://github.com/reworkd/AgentGPT
* cvat.io
* https://github.com/illacloud/illa-builder
